Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.model.hdftypes
Class StyleSheet

    java.lang.Object
      org.apache.poi.hdf.model.hdftypes.StyleSheet

All Implemented Interfaces:
  HDFType

    public final class StyleSheet

extends java.lang.Object
implements HDFType

Represents a document's stylesheet. A word documents formatting is stored as compressed styles that are based on styles contained in the stylesheet. This class also contains static utility functions to uncompress different formatting properties.

Author:
  Ryan Ackley

Constructor Summary
`StyleSheet(byte[] styleSheet)` StyleSheet constructor.

Method Summary
`static boolean` | `getFlag(int x)` Converts an int into a boolean.
`StyleDescription` | `getStyleDescription(int x)` Gets the StyleDescription at index x.
`static java.lang.Object` | `uncompressProperty(byte[] grpprl, java.lang.Object parent, StyleSheet styleSheet)` Used to uncompress a property stored in a grpprl.
`static java.lang.Object` | `uncompressProperty(byte[] grpprl, java.lang.Object parent, StyleSheet styleSheet, boolean doIstd)` Used to uncompress a property stored in a grpprl.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleSheet

    public StyleSheet(byte[] styleSheet)

  StyleSheet constructor. Loads a document's stylesheet information,

  Parameters:
    `styleSheet` - A byte array containing a document's raw stylesheet info. Found by using FileInformationBlock.getFcStshf() and FileInformationBLock.getLcbStshf()

Method Detail

### getStyleDescription

    public StyleDescription getStyleDescription(int x)

  Gets the StyleDescription at index x.

  Parameters:
    `x` - the index of the desired StyleDescription.

### uncompressProperty

    public static java.lang.Object uncompressProperty(byte[] grpprl,
                                                      java.lang.Object parent,
                                                      StyleSheet styleSheet)

  Used to uncompress a property stored in a grpprl. These include CharacterProperties, ParagraphProperties, TableProperties, and SectionProperties.

  Parameters:
    `grpprl` - The compressed form of the property.
    `parent` - The base property of the property.
    `styleSheet` - The document's stylesheet.
  Returns:
    An object that should be casted to the appropriate property.

### uncompressProperty

    public static java.lang.Object uncompressProperty(byte[] grpprl,
                                                      java.lang.Object parent,
                                                      StyleSheet styleSheet,
                                                      boolean doIstd)

  Used to uncompress a property stored in a grpprl. These include CharacterProperties, ParagraphProperties, TableProperties, and SectionProperties.

  Parameters:
    `grpprl` - The compressed form of the property.
    `parent` - The base property of the property.
    `styleSheet` - The document's stylesheet.
  Returns:
    An object that should be casted to the appropriate property.

### getFlag

    public static boolean getFlag(int x)

  Converts an int into a boolean. If the int is non-zero, it returns true. Otherwise it returns false.

  Parameters:
    `x` - The int to convert.
  Returns:
    A boolean whose value depends on x.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD